INTERFACE
SUBROUTINE RADAER ( KIDIA , KFDIA , KPROMA, KTDIA , KLEV,&
 & PAPRS , PAPRSF, PT , PTS,&
 & PAESEA, PAELAN, PAESOO, PAEDES,&
 & PAER ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAESEA(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAELAN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAESOO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAEDES(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAER(KPROMA,KLEV,6)
END SUBROUTINE RADAER
END INTERFACE
